Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.charts
Class TimeBarChartMaker

    java.lang.Object
      net.sf.statcvs.charts.TimeBarChartMaker

Direct Known Subclasses:
  TimeBarChartMaker.HourBarChartMaker, TimeBarChartMaker.WeekdayBarChartMaker

public abstract class TimeBarChartMaker
extends Object

Produces bar charts where each bar represents a time slot, e.g. a weekday., and each revision from a given collection is sorted into the appropriate slot.

Version:
  $Id: TimeBarChartMaker.java,v 1.7 2009/04/25 16:36:20 benoitx Exp $
Author:
  jentzsch, Richard Cyganiak (richard@cyganiak.de)

Nested Class Summary
`static class` | `TimeBarChartMaker.HourBarChartMaker`
`static class` | `TimeBarChartMaker.WeekdayBarChartMaker`

Constructor Summary
`TimeBarChartMaker(String chartName, ReportConfig config, SortedSet revisions, String title, String fileName, String[] barLabels)` Creates a new BarChartMaker.

Method Summary
`protected abstract int` | `barNumberForTime(Calendar time)`
`ChartImage` | `toFile()` Creates a bar chart image file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeBarChartMaker

    public TimeBarChartMaker(String chartName,
                             ReportConfig config,
                             SortedSet revisions,
                             String title,
                             String fileName,
                             String[] barLabels)

  Creates a new BarChartMaker.

Parameters:
  `config` - The configuration to use
  `revisions` - The revisions to analyze
  `title` - The chart's title
  `fileName` - The file name for the image file, including `.png` extension
  `barLabels` - The labels for each bar

Method Detail

### toFile

    public ChartImage toFile()

  Creates a bar chart image file.

  Returns:
    An image file containing the chart

### barNumberForTime

    protected abstract int barNumberForTime(Calendar time)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD